Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
Inspector Class Reference

Classes. More...

Inheritance diagram for Inspector:

## Public Member Functions
| __init__ (self, anObject)
| __str__ (self)
| getLastPartNumber (self)
| initializePartNames (self)
| initializePartsList (self)
| inspectorFor (self, part)
| namedParts (self)
| objectType (self)
| partNames (self)
| partNumber (self, partNumber)
| privatePartNumber (self, partNumber)
| selectedPart (self)
| stringForPartNumber (self, partNumber)
| title (self)

## Public Attributes
int | lastPartNumber = 0
| object = anObject

## Protected Attributes
list | _partNames = ['up'] + [str(each) for each in self._partsList]
list | _partsList = []

## Detailed Description

Classes.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | anObject )

## Member Function Documentation

## ◆ __str__()

__str__ | ( |  | self | ) |

## ◆ getLastPartNumber()

getLastPartNumber | ( |  | self | ) |

## ◆ initializePartNames()

initializePartNames | ( |  | self | ) |

## ◆ initializePartsList()

initializePartsList | ( |  | self | ) |

Reimplemented in DictionaryInspector, and SequenceInspector.

## ◆ inspectorFor()

inspectorFor | ( |  | self,
|  |  | part )

## ◆ namedParts()

namedParts | ( |  | self | ) |

Reimplemented in ClassInspector, ComplexInspector, InstanceInspector, ModuleInspector, and SliceInspector.

## ◆ objectType()

objectType | ( |  | self | ) |

## ◆ partNames()

partNames | ( |  | self | ) |

## ◆ partNumber()

partNumber | ( |  | self,
|  |  | partNumber )

Reimplemented in DictionaryInspector, and SequenceInspector.

## ◆ privatePartNumber()

privatePartNumber | ( |  | self,
|  |  | partNumber )

## ◆ selectedPart()

selectedPart | ( |  | self | ) |

## ◆ stringForPartNumber()

stringForPartNumber | ( |  | self,
|  |  | partNumber )

## ◆ title()

title | ( |  | self | ) |

Reimplemented in ClassInspector, CodeInspector, FunctionInspector, InstanceInspector, and InstanceMethodInspector.

## Member Data Documentation

## ◆ _partNames

list _partNames = ['up'] + [str(each) for each in self._partsList]
| protected

## ◆ _partsList

list _partsList = []
| protected

## ◆ lastPartNumber

int lastPartNumber = 0

## ◆ object

object = anObject